Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7444)
@@ -46,5 +46,6 @@
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:condition="python:action.label in view.taboneactions" tal:replace="structure action/render"/>
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
       </div>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7444)
@@ -19,5 +19,5 @@
       tal:attributes="class python: repeat['file'].odd() and 'odd' or ''">
         <td>
-          <button type="submit" name="select" class="btn"
+          <button type="submit" name="select" class="btn primary"
             tal:attributes="value file/name">Select</button>
         </td>
@@ -29,4 +29,4 @@
     </tbody>
   </table>
-  <input type="submit" name="cancel" value="Cancel" />
+  <input type="submit" name="cancel" class="btn" value="Cancel" />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport2page.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 7444)
@@ -60,7 +60,7 @@
     </p>
   </div>
-  <input type="submit" name="cancel" value="Cancel" />
-  <input type="submit" name="back1" value="Back to step 1" />
-  <input tal:attributes="disabled python: view.getWarnings() and 'disabled' or ''"
+  <input class="btn" type="submit" name="cancel" value="Cancel" />
+  <input class="btn danger" type="submit" name="back1" value="Back to step 1" />
+  <input class="btn primary" tal:attributes="disabled python: view.getWarnings() and 'disabled' or ''"
     type="submit" name="proceed" value="Proceed to step 3..." />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport3page.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 7444)
@@ -71,10 +71,10 @@
   </div>
 
-  <input type="submit" name="cancel" value="Cancel" />
-  <input type="reset" name="reset" value="Reset" />
-  <input type="submit" name="update" value="Set headerfields" />
+  <input class="btn" type="submit" name="cancel" value="Cancel" />
+  <input class="btn" type="reset" name="reset" value="Reset" />
+  <input class="btn" type="submit" name="update" value="Set headerfields" />
   <br /><br />
-  <input type="submit" name="back2" value="Back to step 2" />
-  <input tal:attributes="disabled python: view.getWarnings() and 'disabled' or ''"
+  <input class="btn danger" type="submit" name="back2" value="Back to step 2" />
+  <input class="btn primary" tal:attributes="disabled python: view.getWarnings() and 'disabled' or ''"
    type="submit" name="proceed" value="Perform import..." />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport4page.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 7444)
@@ -18,5 +18,5 @@
 </p>
 <form method="POST">
-  <input type="submit" name="finish" value="Back to data center" />
-  <input type="submit" name="showlog" value="View processing log" />
+  <input class="btn primary" type="submit" name="finish" value="Back to data center" />
+  <input class="btn" type="submit" name="showlog" value="View processing log" />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogspage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 7444)
@@ -20,5 +20,5 @@
         <td class="text-center">
           <form method="POST">
-            <input type="submit" class="btn" name="show" value="Show" />
+            <input type="submit" class="btn primary" name="show" value="Show" />
             <input type="hidden" name="logname" tal:attributes="value file/name" />
           </form></td>
@@ -30,5 +30,5 @@
   </table>
   <form method="POST">
-    <input type="submit" name="back" value="Back to Data Center" />
+    <input type="submit" class="btn" name="back" value="Back to Data Center" />
   </form>
 </div>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7444)
@@ -4,5 +4,5 @@
 
 <form method="POST">
-  <input type="submit" name="back" value="Back" />
+  <input class="btn primary" type="submit" name="back" value="Back" />
 </form>
 
@@ -14,4 +14,4 @@
 
 <form method="POST">
-  <input type="submit" name="back" value="Back" />
+  <input class="btn primary" type="submit" name="back" value="Back" />
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacentermanagepage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 7444)
@@ -15,7 +15,7 @@
     <input type="checkbox" name="overwrite" checked="no" />
     <br /><br />
-    <input type="submit" name="save" value="Save" />
-    <input type="reset" name="reset" value="Reset" />
-    <input type="submit" name="cancel" value="Cancel" />
+    <input class="btn primary" type="submit" name="save" value="Save" />
+    <input class="btn" type="reset" name="reset" value="Reset" />
+    <input class="btn" type="submit" name="cancel" value="Cancel" />
   </div>
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenteruploadpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 7444)
@@ -5,7 +5,8 @@
 <form method="post" enctype="multipart/form-data">
   <input type="file" name="uploadfile:file" />
+  <br /><br />
   <div>
-    <input type="submit" name="SUBMIT" value="Upload" />
-    <input type="submit" name="CANCEL" value="Cancel" />
+    <input class="btn primary" type="submit" name="SUBMIT" value="Upload" />
+    <input class="btn" type="submit" name="CANCEL" value="Cancel" />
   </div>
 </form>
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7444)
@@ -24,5 +24,5 @@
   </table>
   <input type="hidden" name="camefrom"   tal:attributes="value view/camefrom" />
-  <input type="submit" name="SUBMIT" value="Login" /><br /><br />
+  <input class="btn primary" type="submit" name="SUBMIT" value="Login" /><br /><br />
   <p>Don't forget to logout or exit your browser when you're done.
   If you are having trouble logging in, make sure to enable  cookies in your web browser.
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/searchpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7444)
@@ -3,5 +3,5 @@
   <input type="text" name="query"
 	 tal:attributes="value view/query" />
-    <input type="submit" name="SUBMIT" value="Search" />
+    <input class="btn primary" type="submit" name="SUBMIT" value="Search" />
 </form>
 <br />
Index: /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/userscontainerpage.pt
===================================================================
--- /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7443)
+++ /main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7444)
@@ -21,6 +21,6 @@
           <input type="hidden" name="userid"
            tal:attributes="value account/name"/>
-            <input type="submit" name="manage" value="manage" />
-            <input type="submit" name="delete" value="delete" />
+            <input class="btn" type="submit" name="manage" value="manage" />
+            <input class="btn" type="submit" name="delete" value="delete" />
         </form>
       </td>