Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7446)
@@ -13,12 +13,16 @@
 }
 
-label {
-  padding-top: 0px;
-}
-
 .breadcrumb {
   margin-left: 20px;
   margin-right: 20px;
   min-width: 940px;
+}
+
+.form-table {
+  width: 100%;
+}
+
+.fieldname {
+  width: 25%;
 }
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7446)
@@ -27,9 +27,7 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
-                  <span tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*</span>
+                <span i18n:translate="" tal:content="widget/label">label</span>:
               </td>
               <td>
@@ -66,5 +64,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="cc context/values">
+          <tr tal:repeat="cc context/values" class="gradeC">
              <td>
               <input type="checkbox"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7446)
@@ -7,9 +7,7 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
+      <td class="fieldname">
+        <span i18n:translate=""
                          tal:content="widget/label">label</span>:
-        </label>
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7446)
@@ -21,11 +21,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
+              <td class="fieldname">
                   <span tal:condition="widget/required">*
                   </span>
                   <span i18n:translate="" tal:content="widget/label">label
                   </span>:
-                </label> </td>
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7446)
@@ -16,6 +16,5 @@
     </thead>
     <tbody>
-      <tr tal:repeat="file view/getFiles"
-      tal:attributes="class python: repeat['file'].odd() and 'odd' or ''">
+      <tr tal:repeat="file view/getFiles">
         <td>
           <button type="submit" name="select" class="btn primary"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7446)
@@ -24,9 +24,7 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td>
-            <label tal:attributes="for widget/name">
-              <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7446)
@@ -27,11 +27,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
+              <td class="fieldname">
                   <span tal:condition="widget/required">*
                   </span>
                   <span i18n:translate="" tal:content="widget/label">label
                   </span>:
-                </label> </td>
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7446)
@@ -29,11 +29,10 @@
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td>
-                <label tal:attributes="for widget/name">
-                  <span tal:condition="widget/required">*
-                  </span>
-                  <span i18n:translate="" tal:content="widget/label">label
-                  </span>:
-                </label> </td>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*
+                </span>
+                <span i18n:translate="" tal:content="widget/label">label
+                </span>:
+              </td>
               <td>
                 <span tal:content="structure widget">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7446)
@@ -4,6 +4,6 @@
     <tbody>
       <tr>
-        <td>
-          <label>User Name or Student Id:</label>
+        <td class="fieldname">
+          User Name or Student Id:
         </td>
         <td>
@@ -12,6 +12,6 @@
       </tr>
       <tr>
-        <td>
-          <label>Password:</label>
+        <td class="fieldname">
+          Password:
         </td>
         <td>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7445)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7446)
@@ -24,9 +24,7 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td>
-            <label tal:attributes="for widget/name">
-              <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -44,5 +42,5 @@
       </tal:block>
       <tr>
-        <td><label>Password:</label></td>
+        <td class="fieldname">Password:</td>
         <td>
           <input name="password" type="password"  />
@@ -50,5 +48,5 @@
       </tr>
       <tr>
-        <td><label>Retype password:</label></td>
+        <td class="fieldname">Retype password:</td>
         <td>
           <input name="control_password" type="password" />