Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7447)
@@ -754,4 +754,5 @@
         except KeyError:
             self.flash('This level exists.')
+        self.flash('Study level has been added.')
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
         return
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7447)
@@ -4,5 +4,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input class="btn primary" type="submit" name="search" value="Search" />
   for students
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studenthistory.pt	(revision 7447)
@@ -3,7 +3,9 @@
     tal:content="view/label">Label</h2>
 
-<div class="workflow">
+<div class="alert-message block-message success">
+  <font face="Courier">
   <div tal:repeat="msg context/history/messages">
-    <span tal:replace="msg">message</span><br />
+    <span tal:replace="msg">message</span>
   </div>
+  </font>
 </div>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,100 +13,95 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Course Data</span></a></li>
-  <li><a href="#tab-2"><span>Study Levels</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Course Data</span></a></li>
+    <li><a href="#tab-2"><span>Study Levels</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Study Levels (Course Lists)</h3>
+      <table class="display dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="cl context/values">
+             <td>
+              <input type="checkbox"
+        		 name="val_id"
+        		 tal:attributes="value cl/__name__" />
+            </td>
+            <td> <a tal:attributes="href cl/__name__">
+              <span tal:content="cl/level">CODE</span></a>
+            </td>
+            <td>
+              <span tal:content="cl/level_title">TITLE</span>
+            </td>
+          </tr>
+        </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+      <br /><br /><br />
+      <div>
+        <span tal:condition="view/availableActions">
+          <span tal:repeat="action view/actions"
+                tal:omit-tag="">
+            <input tal:condition="python:action.label in view.tabthreeactions"
+                   tal:replace="structure action/render"/>
+          </span>
+        </span>
+        <select id="addlevel" name="addlevel">
+          <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
+            <span tal:replace="level/title">LEVELTITLE
+          </span>
+          </option>
+        </select>
+      </div>
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Study Levels (Course Lists)</h3>
-  <table class="display dataTableManage">
-    <thead>
-      <tr>
-        <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-          <span tal:content="cl/level">CODE</span></a>
-        </td>
-        <td>
-          <span tal:content="cl/level_title">TITLE</span>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-  <br /><br /><br />
-  <div>
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <span tal:repeat="action view/actions"
-            tal:omit-tag="">
-        <input tal:condition="python:action.label in view.tabthreeactions"
-               tal:replace="structure action/render"/>
-      </span>
-    </span>
-    <select id="addlevel" name="addlevel">
-      <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
-        <span tal:replace="level/title">LEVELTITLE
-      </span>
-      </option>
-    </select>
-  </div>
-
-
-
-</div>
-</div>
 </form>  
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7447)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="filedname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,7 +19,5 @@
     <tr>
       <td>
-        <label>
           Study Mode:
-        </label>
       </td>
       <td class="field">
@@ -34,7 +29,5 @@
     <tr tal:condition="python: view.department is not None">
       <td>
-        <label>
           Department:
-        </label>
       </td>
       <td class="field">
@@ -47,7 +40,5 @@
     <tr tal:condition="python: view.faculty is not None">
       <td>
-        <label>
           Faculty:
-        </label>
       </td>
       <td class="field">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <p>Text to explain course registration procedure.</p>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <h3>Course Tickets (Total Credits: <span tal:replace="view/total_credits">TOTAL</span>)</h3>
@@ -49,5 +49,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7447)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,95 +13,93 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Level Data</span></a></li>
-  <li><a href="#tab-2"><span>Course Tickets</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Level Data</span></a></li>
+    <li><a href="#tab-2"><span>Course Tickets</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Course Tickets</h3>
+      <table class="display dataTableManage">
+      <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th>Sem.</th>
+          <th>Code</th>
+          <th>Title</th>
+          <th>Department</th>
+          <th>Faculty</th>
+          <th>Credits</th>
+          <th>Mandatory</th>
+          <th>Score</th>
+          <th>Auto</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="value context/values">
+          <td>
+            <input type="checkbox" name="val_id"
+      		  tal:attributes="value value/__name__" />
+          </td>
+          <td tal:content="value/semester">SEMESTER</td>
+          <td> <a tal:attributes="href value/__name__">
+          <span tal:content="value/code">CODE</span>
+          </a></td>
+          <td tal:content="value/title">TITLE</td>
+          <td tal:content="value/department">DEPARTMENT</td>
+          <td tal:content="value/faculty">FACULTY</td>
+          <td tal:content="value/credits">CREDITS</td>
+          <td tal:content="value/core_or_elective">MANDATORY</td>
+          <td tal:content="value/score">SCORE</td>
+          <td tal:content="value/automatic">AUTO</td>
+        </tr>
+      </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Course Tickets</h3>
-  <table class="display dataTableManage">
-  <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th>Sem.</th>
-      <th>Code</th>
-      <th>Title</th>
-      <th>Department</th>
-      <th>Faculty</th>
-      <th>Credits</th>
-      <th>Mandatory</th>
-      <th>Score</th>
-      <th>Auto</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value context/values">
-      <td>
-        <input type="checkbox" name="val_id"
-  		  tal:attributes="value value/__name__" />
-      </td>
-      <td tal:content="value/semester">SEMESTER</td>
-      <td> <a tal:attributes="href value/__name__">
-      <span tal:content="value/code">CODE</span>
-      </a></td>
-      <td tal:content="value/title">TITLE</td>
-      <td tal:content="value/department">DEPARTMENT</td>
-      <td tal:content="value/faculty">FACULTY</td>
-      <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/core_or_elective">MANDATORY</td>
-      <td tal:content="value/score">SCORE</td>
-      <td tal:content="value/automatic">AUTO</td>
-    </tr>
-  </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-
-</div>
-</div>
 </form>  
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7446)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7447)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="fieldname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,5 +19,5 @@
   <tr>
     <td>
-      <label>Total Credits:</label>
+      Total Credits:
     </td>
     <td>