Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py	(revision 7449)
@@ -38,5 +38,5 @@
 from waeup.sirp.browser.interfaces import ICaptchaManager
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
-from waeup.sirp.browser.layout import NullValidator, jsaction
+from waeup.sirp.browser.layout import NullValidator, jsaction, action
 from waeup.sirp.browser.pages import add_local_role, del_local_roles
 from waeup.sirp.browser.resources import datepicker, tabs, datatable, warning
@@ -120,19 +120,19 @@
         return
 
-    @grok.action('Add applicants container', validator=NullValidator)
+    @action('Add applicants container', validator=NullValidator)
     def addApplicantsContainer(self, **data):
         self.redirect(self.url(self.context, '@@add'))
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @grok.action('Add local role', validator=NullValidator)
+    @action('Add local role', validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self,2, **data)
 
-    @grok.action('Remove selected local roles')
+    @action('Remove selected local roles')
     def delLocalRoles(self, **data):
         return del_local_roles(self,2,**data)
@@ -156,5 +156,5 @@
         return super(ApplicantsContainerAddFormPage, self).update()
 
-    @grok.action('Add applicants container')
+    @action('Add applicants container')
     def addApplicantsContainer(self, **data):
         year = data['year']
@@ -178,5 +178,5 @@
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context, '@@manage') + '#tab-1')
@@ -280,5 +280,5 @@
         return get_users_with_local_roles(self.context)
 
-    @grok.action('Save')
+    @action('Save')
     def apply(self, **data):
         self.applyData(self.context, **data)
@@ -310,19 +310,19 @@
         return
 
-    @grok.action('Add applicant', validator=NullValidator)
+    @action('Add applicant', validator=NullValidator)
     def addApplicant(self, **data):
         self.redirect(self.url(self.context, 'addapplicant'))
         return
 
-    @grok.action('Cancel', validator=NullValidator)
+    @action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
 
-    @grok.action('Add local role', validator=NullValidator)
+    @action('Add local role', validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self,3, **data)
 
-    @grok.action('Remove selected local roles')
+    @action('Remove selected local roles')
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
@@ -345,5 +345,5 @@
         return "Applicants Container: %s" % self.context.title
 
-    @grok.action('Create application record')
+    @action('Create application record')
     def addApplicant(self, **data):
         applicant = createObject(u'waeup.Applicant')
@@ -671,5 +671,5 @@
             dict(name=x, title=y) for x, y in allowed_transitions]
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         form = self.request.form
@@ -739,6 +739,6 @@
     # We explicitely want the forms to be validated before payment tickets
     # can be created. If no validation is requested, use
-    # 'validator=NullValidator' in the grok.action directive
-    @grok.action('Add online payment ticket')
+    # 'validator=NullValidator' in the action directive
+    @action('Add online payment ticket')
     def addPaymentTicket(self, **data):
         self.redirect(self.url(self.context, '@@addafp'))
@@ -808,6 +808,6 @@
     # We explicitely want the forms to be validated before payment tickets
     # can be created. If no validation is requested, use
-    # 'validator=NullValidator' in the grok.action directive
-    @grok.action('Add online payment ticket')
+    # 'validator=NullValidator' in the action directive
+    @action('Add online payment ticket')
     def addPaymentTicket(self, **data):
         self.redirect(self.url(self.context, '@@addafp'))
@@ -820,5 +820,5 @@
         return
 
-    @grok.action('Save')
+    @action('Save')
     def save(self, **data):
         if self.passport_changed is False:  # False is not None!
@@ -828,5 +828,5 @@
         return
 
-    @grok.action('Final Submit')
+    @action('Final Submit')
     def finalsubmit(self, **data):
         if self.passport_changed is False:  # False is not None!
@@ -903,5 +903,5 @@
         return
 
-    @grok.action('Get login credentials')
+    @action('Get login credentials')
     def register(self, **data):
         if not self.captcha_result.is_valid:
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantdisplaypage.pt	(revision 7449)
@@ -13,5 +13,5 @@
 <img src="" tal:attributes="src view/passport_url" />
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -44,5 +44,5 @@
 </table>
 <h3 i18n:translate="">Acceptance Fee Payment Tickets</h3>
-<table class="zebra">
+<table>
   <thead>
     <tr>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7449)
@@ -14,5 +14,5 @@
   </div>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -23,16 +23,14 @@
   </div>
 
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -41,5 +39,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -47,20 +45,18 @@
       </tal:block>
       <tr>
-        <td class="label">
-          <label i18n:translate="" for="form.passport">Photograph</label>
+        <td class="fieldname">
+          Photograph
         </td>
-        <td class="field">
-          <span class="widget">
-            <img src="passport.jpg" /><br />
-            <input type="file" name="form.passport" />
-            <br />
-            <span i18n:translate="">
-              Max. file size:
-              <span tal:replace="view/max_upload_size">10 KB</span>
-            </span>
+        <td>
+          <img src="passport.jpg" /><br />
+          <input type="file" name="form.passport" />
+          <br />
+          <span i18n:translate="">
+            Max. file size:
+            <span tal:replace="view/max_upload_size">10 KB</span>
           </span>
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="label"><label>Password:</label></td>
+        <td class="fieldname">Password:</td>
         <td>
           <input name="password" type="password"  />
@@ -68,5 +64,5 @@
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="label"><label>Retype password:</label></td>
+        <td class="fieldname">Retype password:</td>
         <td>
           <input name="control_password" type="password" />
@@ -74,5 +70,5 @@
       </tr>
       <tr tal:condition="view/manage_applications">
-        <td class="label"><label>Application Transition:</label></td>
+        <td class="fieldname">Application Transition:</td>
         <td>
           <select id="transition" name="transition">
@@ -88,5 +84,5 @@
 
   <div tal:condition="not: view/manage_applications">
-    <input class="checkboxType" id="confirm_passport" name="confirm_passport"
+    <input id="confirm_passport" name="confirm_passport"
            type="checkbox" value="True"/>
     I confirm that the Passport Photograph uploaded on this form is a
@@ -94,5 +90,5 @@
   </div>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
@@ -105,5 +101,5 @@
   <h3 i18n:translate="">Acceptance Fee Payment Tickets</h3>
 
-  <table class="display dataTableManage">
+  <table>
     <thead>
     <tr>
@@ -136,5 +132,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantregister.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7449)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,16 +15,14 @@
   </div>
 
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -33,5 +31,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -54,5 +52,5 @@
     credentials will be sent to the address provided.
   </p>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7449)
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,16 +15,14 @@
   </div>
 
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -33,5 +31,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -41,5 +39,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
              tal:replace="structure action/render"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7449)
@@ -1,40 +1,39 @@
 <form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
   <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-  <div class="form-status"  tal:define="status view/status"  tal:condition="status"> Form Status:
+  <div class="alert-message error"  tal:define="status view/status"  tal:condition="status"> Form Status:
     <span i18n:translate="" tal:content="view/status"> Form status summary
     </span>
   </div>
-  <div id="tabs">
-    <ul>
-      <li>
-      <a href="#tab-1">
-        <span>Settings
-        </span></a>
-      </li>
-      <li>
-      <a href="#tab-2">
-        <span>Applicants
-        </span></a>
-      </li>
-      <li>
-      <a href="#tab-3">
-        <span>Local Roles
-        </span></a>
-      </li>
-    </ul>
-    <div id="tab-1">
-      <table class="zebra">
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active">
+    <a href="#tab-1">
+      <span>Settings
+      </span></a>
+    </li>
+    <li>
+    <a href="#tab-2">
+      <span>Applicants
+      </span></a>
+    </li>
+    <li>
+    <a href="#tab-3">
+      <span>Local Roles
+      </span></a>
+    </li>
+  </ul>
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
         <tbody>
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label">
-                <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*
-                  </span>
-                  <span i18n:translate="" tal:content="widget/label">label
-                  </span>:
-                </label> </td>
-              <td class="field">
-                <span class="widget" tal:content="structure widget">
+              <td class="fieldname">
+                <span tal:condition="widget/required">*
+                </span>
+                <span i18n:translate="" tal:content="widget/label">label
+                </span>:
+              </td>
+              <td>
+                <span tal:content="structure widget">
                   <input type="text" />
                 </span>
@@ -44,5 +43,5 @@
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint
+                  <span  tal:content="structure widget/hint">hint
                   </span>
                 </tal:hint> </td>
@@ -51,5 +50,5 @@
         </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div  tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.taboneactions"
@@ -98,5 +97,5 @@
         </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.tabtwoactions"
@@ -120,5 +119,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB"> <td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC"> <td>
               <input type="checkbox" name="role_id"
                 tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
@@ -129,5 +128,5 @@
         </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.tabthreeactions1"
@@ -135,5 +134,5 @@
         </span>
       </div> <br /><br />
-      <table class="zebra">
+      <table class="form-table">
         <tr> <td>
             <select id="user" name="user">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt	(revision 7449)
@@ -5,5 +5,5 @@
 <br />
 
-<table class="zebra" tal:condition="layout/isAuthenticated">
+<table class="form-table" tal:condition="layout/isAuthenticated">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -13,5 +13,5 @@
           <tal:block replace="python:widget.label"/>:
         </td>
-        <td class="field">
+        <td>
           <tal:block tal:replace="structure widget" />
         </td>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7449)
@@ -1,4 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="form-status" tal:define="status view/status" tal:condition="status">
+<div tal:define="status view/status" tal:condition="status" class="alert-message error">
   <div i18n:translate="" tal:content="view/status"> Form status summary
   </div>
@@ -10,19 +10,19 @@
   </ul>
 </div>
-<form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
-  <div id="tabs">
-    <ul>
-      <li>
-      <a href="#tab-1">
-        <span tal:content="view/subunits">Contents
-        </span></a>
-      </li>
-      <li>
-      <a href="#tab-2">
-        <span>Local Roles
-        </span></a>
-      </li>
-    </ul>
-    <div id="tab-1">
+<form action="." tal:attributes="action request/URL" method="POST"  enctype="multipart/form-data">
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active">
+    <a href="#tab-1">
+      <span tal:content="view/subunits">Contents
+      </span></a>
+    </li>
+    <li>
+    <a href="#tab-2">
+      <span>Local Roles
+      </span></a>
+    </li>
+  </ul>
+  <div class="tab-content">
+    <div id="tab-1" class="active">
       <h3 tal:content="view/subunits">Applicants Containers</h3>
       <table class="display dataTableManage">
@@ -40,5 +40,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry context/values" 	class="gradeB"> <td>
+          <tr tal:repeat="entry context/values" 	class="gradeC"> <td>
               <input type="checkbox" name="val_id"   tal:attributes="value entry/__name__" /> </td>
             <td tal:content="entry/year">Year </td> <td>
@@ -48,5 +48,5 @@
         </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.taboneactions"   tal:replace="structure action/render"/>
@@ -69,5 +69,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeB">  <td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">  <td>
               <input type="checkbox" name="role_id" tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
             <td tal:content="entry/user_name"> USERNAME   </td>
@@ -77,10 +77,10 @@
         </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
           <input tal:condition="python:action.label in view.tabtwoactions1" tal:replace="structure action/render"/>
         </span>
       </div> <br /><br />
-      <table class="zebra">
+      <table class="form-table">
         <tr> <td>
             <select id="user" name="user">
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt	(revision 7448)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser_templates/applicantsrootpage.pt	(revision 7449)
@@ -10,12 +10,11 @@
   </thead>
   <tbody>
-    <tr tal:repeat="entry context/values"
-	class="gradeB">
+    <tr tal:repeat="entry context/values" class="gradeC">
       <td tal:content="entry/year">Year
       </td>	
       <td>
-	<a href=""
-	   tal:attributes="href python:view.url(entry)"
-	   tal:content="entry/__name__">Code</a>
+	     <a href=""
+    	   tal:attributes="href python:view.url(entry)"
+    	   tal:content="entry/__name__">Code</a>
       </td>
       <td tal:content="entry/title">Title