Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/applicants/browser.py	(revision 7451)
@@ -38,5 +38,6 @@
 from waeup.sirp.browser.interfaces import ICaptchaManager
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
-from waeup.sirp.browser.layout import NullValidator, jsaction, action
+from waeup.sirp.browser.layout import (
+    NullValidator, jsaction, action, UtilityView)
 from waeup.sirp.browser.pages import add_local_role, del_local_roles
 from waeup.sirp.browser.resources import datepicker, tabs, datatable, warning
@@ -409,5 +410,5 @@
         'applicant_id', 'firstname', 'lastname','email', 'course1')
 
-class CreateStudentPage(grok.View):
+class CreateStudentPage(UtilityView, grok.View):
     """Create a student object from applicatnt data
     and copy applicant object.
@@ -426,5 +427,5 @@
         return
 
-class AcceptanceFeePaymentAddPage(grok.View):
+class AcceptanceFeePaymentAddPage(UtilityView, grok.View):
     """ Page to add an online payment ticket
     """
@@ -493,5 +494,5 @@
             self.context.__parent__.display_fullname,self.context.p_id)
 
-class OnlinePaymentCallbackPage(grok.View):
+class OnlinePaymentCallbackPage(UtilityView, grok.View):
     """ Callback view
     """
@@ -525,5 +526,5 @@
         return
 
-class ExportPDFPaymentSlipPage(grok.View):
+class ExportPDFPaymentSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -552,5 +553,5 @@
             self.context.__parent__, applicantview)
 
-class ExportPDFPage(grok.View):
+class ExportPDFPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -763,4 +764,5 @@
     form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
     form_fields['phone'].custom_widget = PhoneWidget
+    form_fields['applicant_id'].for_display = True
     grok.template('applicanteditpage')
     manage_applications = False
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7451)
@@ -8,28 +8,35 @@
 
 body {
-  padding-top: 60px;
+  padding-top: 56px;
   background-color: #EEEEEE;
 }
 
-.content {
-    background-color: #FFFFFF;
-    margin-left: -20px;
-    margin-right: -20px;
-    padding-bottom: 20px;
-    padding-left: 20px;
-    padding-right: 20px;
-    padding-top: 20px;
-    border-top-left-radius: 4px;
-    border-top-right-radius: 4px;
+.container-fluid>.sidebar {
+  width: 165px;
+}
+
+.container-fluid > .content {
+  margin-left: 180px;
 }
 
 .well {
-    background-color: #FFFFFF;
+  border: 0px;
+  background-color: #FFFFFF;
+  padding-bottom: 12px;
+  padding-left: 12px;
+  padding-right: 12px;
+  padding-top: 12px;
 }
 
-.breadcrumb {
-    background-color: #FFFFFF;
-    background-image: None;
-    border: 0px;
+.content {
+  background-color: #FFFFFF;
+  margin-left: -20px;
+  margin-right: -20px;
+  padding-bottom: 16px;
+  padding-left: 20px;
+  padding-right: 20px;
+  padding-top: 16px;
+  border-top-left-radius: 3px;
+  border-top-right-radius: 3px;
 }
 
@@ -41,5 +48,13 @@
   margin-left: 20px;
   margin-right: 20px;
-  min-width: 940px;
+  margin-bottom: 14px;
+  padding-left: 20px;
+  padding-right: 20px;
+  width: 940px;
+  background-color: #FFFFFF;
+  background-image: None;
+  border: 0px;
+  border-top-left-radius: 3px;
+  border-top-right-radius: 3px;
 }
 
@@ -74,5 +89,5 @@
 
 .actionbar {
-  margin-bottom: 20px;
+  margin-bottom: 16px;
 }
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7451)
@@ -64,5 +64,5 @@
         </div>
       </div>
-      <div class="span12 content">
+      <div class="span13 content">
         <div
             tal:define="message context/@@messages"
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7451)
@@ -41,5 +41,5 @@
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, AddActionButton)
-from waeup.sirp.browser.layout import jsaction, action
+from waeup.sirp.browser.layout import jsaction, action, UtilityView
 from waeup.sirp.interfaces import (
     ISIRPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
@@ -293,4 +293,6 @@
             if not self.hitlist:
                 self.flash('No student found.')
+            if 'remove' in form:
+                self.flash('No item selected.')
             return
         entries = form['entries']
@@ -581,5 +583,5 @@
         return
 
-class StudentClearPage(grok.View):
+class StudentClearPage(UtilityView, grok.View):
     """ Clear student by clearance officer
     """
@@ -600,5 +602,5 @@
         return
 
-class StudentRejectClearancePage(grok.View):
+class StudentRejectClearancePage(UtilityView, grok.View):
     """ Reject clearance by clearance officers
     """
@@ -822,5 +824,5 @@
     target = 'course_registration.pdf'
 
-class ExportPDFCourseRegistrationSlipPage(grok.View):
+class ExportPDFCourseRegistrationSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -955,5 +957,5 @@
         return
 
-class ValidateCoursesPage(grok.View):
+class ValidateCoursesPage(UtilityView, grok.View):
     """ Validate course list by course adviser
     """
@@ -976,5 +978,5 @@
         return
 
-class RejectCoursesPage(grok.View):
+class RejectCoursesPage(UtilityView, grok.View):
     """ Reject course list by course adviser
     """
@@ -1297,5 +1299,5 @@
         return self.view.url(self.view.context, self.target)
 
-class OnlinePaymentCallbackPage(grok.View):
+class OnlinePaymentCallbackPage(UtilityView, grok.View):
     """ Callback view
     """
@@ -1346,5 +1348,5 @@
         return
 
-class ExportPDFPaymentSlipPage(grok.View):
+class ExportPDFPaymentSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -1577,5 +1579,5 @@
     target = 'bed_allocation.pdf'
 
-class ExportPDFBedTicketSlipPage(grok.View):
+class ExportPDFBedTicketSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -1609,5 +1611,5 @@
     target = 'relocate'
 
-class BedTicketRelocationPage(grok.View):
+class BedTicketRelocationPage(UtilityView, grok.View):
     """ Callback view
     """
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7451)
@@ -48,8 +48,6 @@
     </table>
     
-    <div class="actionButtons">
-        <input type="submit" name="remove" value="Remove selected"
-               onclick="return confirmPost('Are you sure?')"/>
-    </div>
+    <input type="submit" name="remove" value="Remove selected" class="btn"
+           onclick="return confirmPost('Are you sure?')"/>
 
   </div>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/viewlets.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/viewlets.py	(revision 7450)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/viewlets.py	(revision 7451)
@@ -104,5 +104,5 @@
     grok.require('waeup.handleAccommodation')
     link = 'accommodation'
-    text = u'Accommodation Data'
+    text = u'Accommodation'
 
 class StudentManageHistoryLink(StudentManageLink):