Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7452)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/static/waeup-base.css	(revision 7453)
@@ -41,4 +41,8 @@
 }
 
+.container {
+  width: 700px;
+}
+
 h2 {
   margin-bottom: 12px;
@@ -57,4 +61,6 @@
   border-top-left-radius: 3px;
   border-top-right-radius: 3px;
+  border-bottom-left-radius: 3px;
+  border-bottom-right-radius: 3px;
 }
 
@@ -83,8 +89,4 @@
 
  /* SIRP stuff */
-
-.container {
-  width: 700px;
-}
 
 .actionbar {
@@ -118,2 +120,35 @@
   line-height: 16px;
 }
+
+.student-info-bar{
+  padding: 7px 14px;
+  margin-left: -20px;
+  margin-right: -20px;
+  margin-bottom: 14px;
+  padding-left: 20px;
+  padding-right: 20px;
+  width: 700px;
+  background-color: #FFFFFF;
+  background-image: None;
+  border: 0px;
+  border-top-left-radius: 3px;
+  border-top-right-radius: 3px;
+  border-bottom-left-radius: 3px;
+  border-bottom-right-radius: 3px;
+}
+
+.student-info-bar li {
+  display: inline;
+  text-shadow: 0 1px 0 #ffffff;
+}
+.student-info-bar .divider {
+  padding: 0 5px;
+  color: #bfbfbf;
+}
+.student-info-bar .active a {
+  color: #404040;
+}
+.wfstatus {
+  float: right;
+  line-height: 18px;
+}
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7452)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7453)
@@ -45,6 +45,18 @@
       </div>
     </div>
-
     <div class="container">
+      <ul class="student-info-bar">
+        <tal:breadcrumbs
+              tal:condition="python: layout.isAuthenticated()"
+              tal:content="structure provider:breadcrumbs" />
+        <span tal:condition="layout/getStudentName" class="wfstatus">
+              Student Id:
+            <span tal:replace="python:context.getStudent().student_id">Id
+            </span>&nbsp;&nbsp;
+            State:
+            <span tal:replace="python:context.getStudent().state">State
+            </span>
+        </span>
+      </ul>
       <div class="content">
         <div tal:define="message context/@@messages"
@@ -65,5 +77,4 @@
       </div>
     </div>
-
   </body>
 </html>
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/viewlets.py	(revision 7452)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/browser/viewlets.py	(revision 7453)
@@ -195,8 +195,9 @@
         breadcrumbs = IBreadcrumbContainer(self.view)
         for breadcrumb in breadcrumbs:
-            yield dict(
-                title = breadcrumb.title,
-                url = self.view.url(breadcrumb.context, breadcrumb.target)
-                )
+            if breadcrumb.target:
+                yield dict(
+                    title = breadcrumb.title,
+                    url = self.view.url(breadcrumb.context, breadcrumb.target)
+                    )
 
 
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7452)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/browser.py	(revision 7453)
@@ -36,5 +36,5 @@
     SIRPPage, SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
     ContactAdminForm, SIRPForm)
-from waeup.sirp.browser.interfaces import ICaptchaManager
+from waeup.sirp.browser.interfaces import ICaptchaManager, IBreadcrumbIgnorable
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
 from waeup.sirp.browser.resources import datepicker, datatable, tabs, warning
@@ -64,4 +64,5 @@
 from waeup.sirp.applicants.interfaces import IApplicantBaseData
 from waeup.sirp.hostels.hostel import NOT_OCCUPIED
+from waeup.sirp.utils.helpers import get_current_principal
 
 def write_log_message(view, message):
@@ -96,4 +97,13 @@
     grok.context(IStudentsContainer)
     title = 'Students'
+    #grok.implements(IBreadcrumbIgnorable)
+
+    @property
+    def target(self):
+        user = get_current_principal()
+        #import pdb; pdb.set_trace()
+        if getattr(user, 'user_type', None) == 'student':
+            return None
+        return self.viewname
 
 class StudentBreadcrumb(Breadcrumb):
@@ -131,14 +141,4 @@
     grok.context(IStudentAccommodation)
     title = 'Accommodation'
-
-    #@property
-    #def target(self):
-    #    prm = get_principal_role_manager()
-    #    principal = get_current_principal()
-    #    roles = [x[0] for x in prm.getRolesForPrincipal(principal.id)]
-    #    if 'waeup.Student' in roles:
-    #        return 'index'
-    #    else:
-    #        return 'manage'
 
 class BedTicketBreadcrumb(Breadcrumb):
Index: main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/tests/test_browser.py	(revision 7452)
+++ main/waeup.sirp/branches/henrik-bootstrap/src/waeup/sirp/students/tests/test_browser.py	(revision 7453)
@@ -807,5 +807,5 @@
         self.browser.getLink("Clear student").click()
         self.assertTrue('Student has been cleared' in self.browser.contents)
-        self.assertTrue('State: <span>cleared</span>' in self.browser.contents)
+        self.assertTrue('cleared' in self.browser.contents)
         self.browser.getLink("Reject clearance").click()
         self.assertTrue('Clearance has been annulled' in self.browser.contents)
@@ -814,6 +814,5 @@
         self.assertEqual(self.browser.url, self.student_path +
             '/contactstudent?subject=%s' % urlmessage)
-        self.assertTrue('State: <span>clearance started</span>'
-            in self.browser.contents)
+        self.assertTrue('clearance started' in self.browser.contents)
         IWorkflowInfo(self.student).fireTransition('request_clearance')
         self.browser.open(self.clearance_student_path)
@@ -821,6 +820,5 @@
         self.assertTrue('Clearance request has been rejected'
             in self.browser.contents)
-        self.assertTrue('State: <span>clearance started</span>'
-            in self.browser.contents)
+        self.assertTrue('clearance started' in self.browser.contents)
         # CO does now also see the contact form and can send a message
         self.browser.getControl(name="form.subject").value = 'Important subject'
@@ -917,5 +915,5 @@
         self.browser.getLink("Validate courses").click()
         self.assertTrue('Course list has been validated' in self.browser.contents)
-        self.assertTrue('State: <span>courses validated</span>' in self.browser.contents)
+        self.assertTrue('courses validated' in self.browser.contents)
         self.browser.getLink("Reject courses").click()
         self.assertTrue('Course list request has been annulled'