Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.py	(revision 7459)
@@ -32,4 +32,5 @@
     )
 from waeup.sirp.accesscodes.catalog import search
+from waeup.sirp.browser.layout import action
 
 grok.context(ISIRPObject)
@@ -66,5 +67,5 @@
     grok.require('waeup.manageACBatches')
 
-    title = 'Create Access Code Batch'
+    label = 'Create Access Code Batch'
     pnav = 0
 
@@ -72,10 +73,10 @@
         'prefix', 'entry_num', 'cost')
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, *args, **kw):
         self.flash('Batch creation cancelled.')
         self.redirect(self.url(self.context))
 
-    @grok.action('Create batch')
+    @action('Create batch')
     def createBatch(self, **data):
         creator = self.request.principal.id
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser.txt	(revision 7459)
@@ -58,5 +58,5 @@
     <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     ...
-    <h2>Access Code Batches</h2>
+    ...<h2>Access Code Batches</h2>
     ...
     ... The following batches are available:
@@ -106,5 +106,5 @@
     <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     ...
-    <h2>Access Code Batches</h2>
+    ...<h2>Access Code Batches</h2>
     ...
     ... The following batches are available:
@@ -155,5 +155,5 @@
     <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     ...
-    <li ...>Archived APP-2 (APP-2_archive-...-zope.mgr.csv)</li>
+    <div ...>Archived APP-2 (APP-2_archive-...-zope.mgr.csv)</div>
     ...
 
@@ -165,5 +165,5 @@
     <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     ...
-    <li ...>No batch selected.</li>
+    <div ...>No batch selected.</div>
     ...
 
@@ -345,5 +345,5 @@
     >>> print browser.contents
     <!DOCTYPE html ...
-    <li class="message">APP-1-<10-DIGITS> disabled.</li>
+    ...APP-1-<10-DIGITS> disabled.</div>
     ...
 
@@ -355,5 +355,5 @@
     >>> print browser.contents
     <!DOCTYPE html ...
-    <li ...>APP-1-<10-DIGITS>: Disable transition not allowed.</li>
+    <div ...>APP-1-<10-DIGITS>: Disable transition not allowed.</div>
     ...
 
@@ -365,5 +365,5 @@
     >>> print browser.contents
     <!DOCTYPE html ...
-    <li class="message">APP-1-<10-DIGITS> (re-)enabled.</li>
+    ...APP-1-<10-DIGITS> (re-)enabled.</div>
     ...
 
@@ -375,5 +375,5 @@
     >>> print browser.contents
     <!DOCTYPE html ...
-    <li ...>APP-1-<10-DIGITS>: Re-enable transition not allowed.</li>
+    <div ...>APP-1-<10-DIGITS>: Re-enable transition not allowed.</div>
     ...
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/admintaskacbatches.pt	(revision 7459)
@@ -2,4 +2,4 @@
 <a href=""
    tal:attributes="href viewlet/link_target"
-   tal:content="viewlet/link_title">Manage Users</a>
+   tal:content="viewlet/link_title">Manage</a>
 </p>
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/batchcontainer.pt	(revision 7459)
@@ -15,6 +15,5 @@
     </thead>
     <tbody>
-      <tr tal:repeat="batch context/values"
-    tal:attributes="class python: repeat['batch'].odd() and 'even' or 'odd'">
+      <tr tal:repeat="batch context/values">
   <td>
     <input type="checkbox" name="batches" value="batch/prefix"
@@ -42,5 +41,5 @@
     </tbody>
   </table>
-  <input type="submit" name="archive" value="Archive" />
-  <input type="submit" name="delete" value="Archive and Delete" />
+  <input type="submit" class="btn" name="archive" value="Archive" />
+  <input type="submit" class="btn" name="delete" value="Archive and Delete" />
 </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7459)
@@ -1,6 +1,4 @@
 <h3>Reimport Access Code Batches</h3>
-<p>
-  Please select the files to reimport. Please note, that batches with
-  same name have to be deleted before.
+<p> Please select the files to reimport. Please note, that batches with  same name have to be deleted before.
 </p>
 <form method="POST">
@@ -8,24 +6,21 @@
     <thead>
       <tr>
-        <th>&nbsp;</th>
-  <th>File</th>
+        <th>&nbsp;
+        </th>
+        <th>File
+        </th>
       </tr>
     </thead>
     <tbody>
-      <tr tal:repeat="filename context/getImportFiles"
-    tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'">
-  <td>
-    <input type="checkbox" name="filenames" value="filename"
-     tal:attributes="value filename" />
-  </td>
-  <td tal:content="filename">file.name</td>
+      <tr tal:repeat="filename context/getImportFiles"  tal:attributes="class python: repeat['filename'].odd() and 'even' or 'odd'"> <td>
+          <input type="checkbox" name="filenames" value="filename"  tal:attributes="value filename" /> </td>
+        <td tal:content="filename">file.name</td>
       </tr>
       <tr tal:condition="python: len(list(context.getImportFiles())) == 0">
-  <td colspan="5"><b>No import batches available</b></td>
+        <td colspan="5"><b>No import batches available</b></td>
       </tr>
     </tbody>
   </table>
-
-  <input type="submit" name="cancel" value="Cancel" />
-  <input type="submit" name="reimport" value="Reimport" />
+  <input type="submit" class="btn primary" name="reimport" value="Reimport" />
+  <input type="submit" class="btn" name="cancel" value="Cancel" />
 </form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7372)
+++ main/waeup.sirp/trunk/src/waeup/sirp/accesscodes/browser_templates/searchpage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input type="submit" class="btn primary" name="search" value="Search" />
   for access codes
 
@@ -46,7 +46,7 @@
       </tbody>
     </table>
-    <div class="actionButtons">
-        <input type="submit" name="disable" value="Disable ACs" />
-        <input type="submit" name="enable" value="Enable ACs" />
+    <div>
+      <input type="submit" class="btn" name="disable" value="Disable ACs" />
+      <input type="submit" class="btn" name="enable" value="Enable ACs" />
     </div>
 