Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7463)
@@ -12,13 +12,4 @@
       <span tal:replace="msg">message</span><br />
     </div>
-  </div>
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
   </div>
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7463)
@@ -5,13 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7463)
@@ -5,13 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7463)
@@ -1,8 +1,5 @@
 <form action="." tal:attributes="action request/URL" method="POST"  class="edit-form" enctype="multipart/form-data">
   <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-  <div class="alert-message error"  tal:define="status view/status"  tal:condition="status"> Form Status:
-    <span i18n:translate="" tal:content="view/status"> Form status summary
-    </span>
-  </div>
+
   <ul class="tabs" data-tabs="tabs">
     <li class="active">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 7463)
@@ -1,13 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div tal:define="status view/status" tal:condition="status" class="alert-message error">
-  <div i18n:translate="" tal:content="view/status"> Form status summary
-  </div>
-  <ul class="errors" tal:condition="view/errors">
-    <li tal:repeat="error view/error_views">
-      <span tal:replace="structure error">Error Type
-      </span>
-    </li>
-  </ul>
-</div>
+
 <form action="." tal:attributes="action request/URL" method="POST"  enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7463)
@@ -1,7 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="alert-message error"  tal:define="status view/status"  tal:condition="status"> Form Status:
-  <span i18n:translate="" tal:content="view/status"> Form status summary
-  </span>
-</div>
+
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
     <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt	(revision 7463)
@@ -5,14 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-      tal:define="status view/status"
-      tal:condition="status">
-      <ul tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-           <span tal:replace="structure error">Error Type</span>
-        </li>
-      </ul>
-  </div>
 
   <tal:block repeat="widget view/widgets">
@@ -24,4 +14,8 @@
       Textbody
     </div>
+    <tal:error tal:condition="widget/error">
+      <span tal:replace="structure widget/error">error</span>
+      <br />
+    </tal:error>
     <br />
   </tal:block>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7463)
@@ -5,13 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-      tal:define="status view/status"
-      tal:condition="status">
-      Form Status:
-      <span i18n:translate="" tal:content="view/status">
-        Form status summary
-      </span>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7463)
@@ -1,7 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="alert-message error"  tal:define="status view/status"  tal:condition="status"> Form Status:
-  <span i18n:translate="" tal:content="view/status"> Form status summary
-  </span>
-</div>
+
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7463)
@@ -1,8 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="alert-message error" tal:define="status view/status"
-     tal:condition="status"> Form Status:
-  <span i18n:translate="" tal:content="view/status"> Form status summary
-  </span>
-</div>
+
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7463)
@@ -81,4 +81,12 @@
           </div>
         </div>
+        <div class="alert-message error"
+          tal:define="status view/status|nothing"
+          tal:condition="status">
+          Form Status:
+          <span i18n:translate="" tal:content="view/status">
+            Form status summary
+          </span>
+        </div>
         <span tal:replace="structure provider:actionbar" />
         <div tal:content="structure view/content"> THE CONTENT
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7463)
@@ -67,4 +67,12 @@
           </div>
         </div>
+        <div class="alert-message error"
+          tal:define="status view/status|nothing"
+          tal:condition="status">
+          Form Status:
+          <span i18n:translate="" tal:content="view/status">
+            Form status summary
+          </span>
+        </div>
         <span tal:replace="structure provider:actionbar" />
         <div tal:content="structure view/content"> THE CONTENT
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7463)
@@ -5,18 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-      tal:define="status view/status"
-      tal:condition="status">
-      Form Status:
-      <span i18n:translate="" tal:content="view/status">
-        Form status summary
-      </span>
-      <ul tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-           <span tal:replace="structure error">Error Type</span>
-        </li>
-      </ul>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containermanagepage.pt	(revision 7463)
@@ -1,7 +1,4 @@
 <h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-<div class="alert-message error" tal:define="status view/status" tal:condition="status"> Form Status:
-  <span i18n:translate="" tal:content="view/status"> Form status summary
-  </span>
-</div>
+
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
   <table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7463)
@@ -2,18 +2,4 @@
   tal:condition="view/label"
   tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-      tal:define="status view/status"
-      tal:condition="status">
-      Form Status:
-      <span i18n:translate="" tal:content="view/status">
-        Form status summary
-      </span>
-      <ul tal:condition="view/errors">
-        <li tal:repeat="error view/error_views">
-           <span tal:replace="structure error">Error Type</span>
-        </li>
-      </ul>
-  </div>
 
   <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7463)
@@ -5,13 +5,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
       enctype="multipart/form-data">
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7463)
@@ -5,13 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7463)
@@ -5,13 +5,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
       enctype="multipart/form-data">
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <ul class="tabs" data-tabs="tabs">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7463)
@@ -5,13 +5,4 @@
     tal:condition="view/label"
     tal:content="view/label">Label</h2>
-
-  <div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-  </div>
 
   <table class="form-table">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7463)
@@ -2,13 +2,4 @@
 tal:condition="view/label"
 tal:content="view/label">Label</h2>
-
-<div class="alert-message error"
-    tal:define="status view/status"
-    tal:condition="status">
-    Form Status:
-    <span i18n:translate="" tal:content="view/status">
-      Form status summary
-    </span>
-</div>
 
 <form action="." tal:attributes="action request/URL" method="POST"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7462)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7463)
@@ -1587,4 +1587,4 @@
         self.browser.getControl(name="form.reg_number").value = '123'
         self.browser.getControl(name="form.email").value = 'aa@aa.ng'
-        self.browser.getControl("Get login credentials").click()
+        self.browser.getControl("Get new login credentials").click()
         self.assertTrue('An email with' in self.browser.contents)