Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
 <form action="." tal:attributes="action request/URL" method="POST"
       enctype="multipart/form-data"> 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7464)
@@ -1,4 +1,2 @@
-<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
     <ul class="tabs" data-tabs="tabs">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/contactform.pt	(revision 7464)
@@ -1,8 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
       enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
 
   <tal:block repeat="widget view/widgets">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport1page.pt	(revision 7464)
@@ -1,5 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
 <h3>Step 1</h3>
 <p>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport2page.pt	(revision 7464)
@@ -1,5 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
 <h3>Step 2</h3>
 <form method="POST">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport3page.pt	(revision 7464)
@@ -3,7 +3,4 @@
 </div>
 
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
 <h3>Step 3</h3>
 <form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterimport4page.pt	(revision 7464)
@@ -1,5 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
 <h3>Step 4</h3>
 <p>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogspage.pt	(revision 7464)
@@ -1,3 +1,2 @@
-<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
 <div tal:define="files view/files">
   <p tal:condition="not: files">Currently no log files are available.
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacentermanagepage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
 <form method="POST">
   <div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenteruploadpage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
 <form method="post" enctype="multipart/form-data">
   <input type="file" name="uploadfile:file" />
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
 <table class="form-table">
   <tbody>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7464)
@@ -1,8 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
       enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
 
   <table class="form-table">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7464)
@@ -1,4 +1,2 @@
-<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
 <ul class="tabs" data-tabs="tabs">
   <li class="active"><a href="#tab-1"><span>Courses</span></a></li>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultiescontainermanagepage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
 <form action="." tal:attributes="action request/URL" method="POST"
       enctype="multipart/form-data">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7464)
@@ -1,4 +1,2 @@
-<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
-
 <form action="." tal:attributes="action request/URL" method="POST" enctype="multipart/form-data">
   <ul class="tabs" data-tabs="tabs">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultypage.pt	(revision 7464)
@@ -1,4 +1,2 @@
-<h2 tal:content="view/label">TITLE</h2>
-
 <div tal:condition="python: not len(context.keys())">
 There no subobjects registered yet.
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/loginpage.pt	(revision 7464)
@@ -1,3 +1,2 @@
-<h2 i18n:translate=""  tal:condition="view/label"  tal:content="view/label">Label</h2>
 <form method="post">
   <table id="login" class="form-table" summary="Table for entering login information">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/searchpage.pt	(revision 7464)
@@ -1,3 +1,2 @@
-<h2 i18n:translate="" tal:condition="view/label" tal:content="view/label">Label</h2>
 <form method="post">
   <input type="text" name="query"
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/showstudentspage.pt	(revision 7464)
@@ -1,6 +1,2 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
 <table class="display dataTableManage">
   <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/staffsitelayout.pt	(revision 7464)
@@ -90,4 +90,6 @@
         </div>
         <span tal:replace="structure provider:actionbar" />
+        <h2 i18n:translate="" tal:condition="view/label|nothing"
+            tal:content="view/label">Label</h2>
         <div tal:content="structure view/content"> THE CONTENT
         </div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/studentsitelayout.pt	(revision 7464)
@@ -76,4 +76,6 @@
         </div>
         <span tal:replace="structure provider:actionbar" />
+        <h2 i18n:translate="" tal:condition="view/label|nothing"
+            tal:content="view/label">Label</h2>
         <div tal:content="structure view/content"> THE CONTENT
         </div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt	(revision 7464)
@@ -1,3 +1,1 @@
-<h1 tal:content="view/label">Title</h1>
-
 <span tal:replace="structure view/frontpage">Frontpage</span>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7463)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7464)
@@ -1,8 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
       enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
 
   <table class="form-table">