Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7465)
@@ -146,6 +146,5 @@
     grok.context(ISIRPObject)
     grok.require('waeup.Public')
-    title = u'Login'
-    label = title
+    label = u'Login'
     camefrom = None
 
@@ -205,9 +204,6 @@
         return grok.getSite()['configuration']
 
-    def title(self):
+    def label(self):
         return u'Contact %s' % self.config.name_admin
-
-    def label(self):
-        return self.title()
 
     @property
@@ -271,8 +267,4 @@
 
     @property
-    def title(self):
-        return "Welcome"
-
-    @property
     def label(self):
         return self.context['configuration'].title
@@ -291,5 +283,5 @@
     grok.context(IUniversity)
     grok.require('waeup.manageUniversity')
-    title = u'Administration'
+    label = u'Administration'
     pnav = 0
 
@@ -338,5 +330,5 @@
     grok.context(IUsersContainer)
     grok.name('index')
-    title = 'Portal Users'
+    label = 'Portal Users'
 
     def update(self, userid=None, adduser=None, manage=None, delete=None):
@@ -376,5 +368,4 @@
     form_fields = grok.AutoFields(IUserAccount)
     label = 'Add user'
-    title = 'Portal Users'
 
     @action('Add user', style='primary')
@@ -416,6 +407,4 @@
     form_fields = grok.AutoFields(IUserAccount).omit('name')
 
-    title = "Portal Users"
-
     def label(self):
         return "Edit user %s" % self.context.__name__
@@ -456,5 +445,4 @@
     pnav = 0
     form_fields = grok.AutoFields(IContactForm).select('body')
-    title = u'Contact'
 
     def label(self):
@@ -494,7 +482,4 @@
         self.widgets['title'].displayWidth = 30
 
-    def title(self):
-        return "%s (%s)" % (self.context.title, self.context.__name__)
-
 class MyRolesPage(SIRPPage):
     """Display site roles and local roles assigned to officers.
@@ -504,9 +489,5 @@
     grok.context(IUserAccount)
     grok.template('myrolespage')
-    title = 'Portal Users'
     label = u"My Roles"
-
-    def title(self):
-        return "%s (%s)" % (self.context.title, self.context.__name__)
 
     @property
@@ -540,5 +521,4 @@
     grok.template('searchpage')
     grok.require('waeup.manageUniversity')
-    title = u"Academics"
     label = u"Search Academic Section"
     pnav = 1
@@ -568,5 +548,4 @@
     pnav = 0
     label = u'View portal configuration'
-    title = u'Portal Configuration'
     form_fields = grok.AutoFields(IConfigurationContainer)
     form_fields['frontpage'].custom_widget = ReSTDisplayWidget
@@ -582,5 +561,4 @@
     pnav = 0
     label = u'Edit portal configuration'
-    title = u'Portal Configuration'
     taboneactions = ['Save', 'Update plugins']
     tabtwoactions = [
@@ -634,5 +612,4 @@
     grok.require('waeup.managePortalConfiguration')
     label = 'Add session configuration'
-    title = 'Configuration'
     form_fields = grok.AutoFields(ISessionConfigurationAdd)
     pnav = 0
@@ -665,9 +642,4 @@
 
     @property
-    def title(self):
-        session_string = self.context.getSessionString()
-        return 'Academic Session %s Configuration' % session_string
-
-    @property
     def label(self):
         session_string = self.context.getSessionString()
@@ -694,5 +666,5 @@
     grok.name('index')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
+    label = u'Data Center'
     pnav = 0
 
@@ -701,5 +673,4 @@
     grok.name('upload')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Upload file'
     pnav = 0
@@ -748,5 +719,4 @@
     grok.template('datacenterimport1page')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Process CSV file'
     pnav = 0
@@ -778,5 +748,4 @@
     grok.template('datacenterimport2page')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Process CSV file'
     pnav = 0
@@ -896,5 +865,4 @@
     grok.template('datacenterimport3page')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Process CSV file'
     pnav = 0
@@ -1000,5 +968,4 @@
     grok.template('datacenterimport4page')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Process CSV file'
     pnav = 0
@@ -1055,5 +1022,4 @@
     grok.template('datacenterlogspage')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = u'Show logfiles'
     pnav = 0
@@ -1078,4 +1044,7 @@
     title = u'Data Center'
     pnav = 0
+
+    def label(self):
+        return "Logfile %s" % self.filename
 
     def update(self, show=None, remove=None, back=None):
@@ -1095,5 +1064,4 @@
     grok.template('datacentermanagepage')
     grok.require('waeup.manageUniversity')
-    title = u'Data Center'
     label = 'Edit data center settings'
     pnav = 0
@@ -1179,5 +1147,4 @@
     grok.require('waeup.viewAcademics')
     grok.name('index')
-    title = 'Academics'
     label = 'Academic Section'
     pnav = 1
@@ -1194,5 +1161,4 @@
     taboneactions = ['Add faculty', 'Remove selected','Cancel']
     subunits = 'Faculties'
-    title = 'Academics'
 
     @property
@@ -1228,5 +1194,4 @@
     grok.name('add')
     label = 'Add faculty'
-    title = 'Academics'
     form_fields = grok.AutoFields(IFacultyAdd)
     pnav = 1
@@ -1259,8 +1224,4 @@
 
     @property
-    def title(self):
-        return self.context.longtitle()
-
-    @property
     def label(self):
         return 'Departments'
@@ -1285,8 +1246,4 @@
     def label(self):
         return 'Manage faculty'
-
-    @property
-    def title(self):
-        return self.context.longtitle()
 
     def update(self):
@@ -1347,8 +1304,4 @@
     form_fields = grok.AutoFields(IDepartmentAdd)
     pnav = 1
-
-    @property
-    def title(self):
-        return self.context.longtitle()
 
     @action('Add department', style='primary')
@@ -1380,8 +1333,4 @@
     label = 'Courses and Certificates'
 
-    @property
-    def title(self):
-        return self.context.longtitle()
-
     def update(self):
         tabs.need()
@@ -1413,8 +1362,4 @@
     pnav = 1
     label = 'Students'
-
-    @property
-    def title(self):
-        return self.context.longtitle()
 
     @property
@@ -1464,8 +1409,4 @@
         return 'Manage department'
 
-    @property
-    def title(self):
-        return self.context.longtitle()
-
     def getCourses(self):
         """Get a list of all stored courses.
@@ -1552,8 +1493,4 @@
     form_fields = grok.AutoFields(ICourseAdd)
     pnav = 1
-
-    @property
-    def title(self):
-        return self.context.longtitle()
 
     @action('Add course')
@@ -1594,8 +1531,4 @@
     pnav = 1
 
-    @property
-    def title(self):
-        return self.context.longtitle()
-
     @action('Add certificate')
     def addCertificate(self, **data):
@@ -1639,6 +1572,6 @@
 
     @property
-    def title(self):
-        return 'Course: %s (%s)' % (self.context.title, self.context.code)
+    def label(self):
+        return '%s (%s)' % (self.context.title, self.context.code)
 
 class CourseManageFormPage(SIRPEditFormPage):
@@ -1652,8 +1585,4 @@
 
     form_fields = grok.AutoFields(ICourse)
-
-    @property
-    def title(self):
-        return 'Course: %s (%s)' % (self.context.title, self.context.code)
 
     @action('Save', style='primary')
@@ -1687,6 +1616,6 @@
 
     @property
-    def title(self):
-        return "Certificate: %s (%s)" % (self.context.title, self.context.code)
+    def label(self):
+        return "%s (%s)" % (self.context.title, self.context.code)
 
     def update(self):
@@ -1719,8 +1648,4 @@
         return 'Manage certificate'
 
-    @property
-    def title(self):
-        return "Certificate: %s (%s)" % (self.context.title, self.context.code)
-
     def update(self):
         tabs.need()
@@ -1783,8 +1708,4 @@
     pnav = 1
     label = 'Add course referrer'
-
-    @property
-    def title(self):
-        return "Certificate: %s (%s)" % (self.context.title, self.context.code)
 
     @action('Add course referrer')
@@ -1817,6 +1738,6 @@
 
     @property
-    def title(self):
-        return 'Course Referrer: %s' % (self.context.longtitle())
+    def label(self):
+        return '%s' % (self.context.longtitle())
 
     @property
@@ -1833,8 +1754,4 @@
     label = 'Edit course referrer'
     pnav = 1
-
-    @property
-    def title(self):
-        return 'Course Referrer: %s' % (self.context.__name__)
 
     @action('Save and return')
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/mobile.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/mobile.css	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/mobile.css	(revision 7465)
@@ -1,8 +1,8 @@
 .container {
-  width: 480px;
+  width: 300px;
 }
 
 body {
-  padding-top: 60px;
+  padding-top: 70px;
 }
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 7465)
@@ -69,4 +69,25 @@
   width: 180px;
 }
+
+h1 {
+  font-size: 26px;
+}
+h2 {
+  font-size: 22px;
+}
+h3 {
+  font-size: 16px;
+}
+h4 {
+  font-size: 14px;
+}
+h5 {
+  font-size: 13px;
+}
+h6 {
+  font-size: 12px;
+}
+
+
 
  /* IE doesn't like the footer tag*/
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/administrationpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/administrationpage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/administrationpage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2>Administration</h2>
-
 <p>
   You can manage the following tasks:
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatecoursepage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2 tal:content="context/longtitle">TITLE</h2>
-
 <table class="form-table">
   <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatepage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2 tal:content="context/longtitle">TITLE</h2>
-
 <table class="form-table">
 <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/coursepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/coursepage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/coursepage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2 tal:content="context/title">TITLE</h2>
-
 <table class="form-table">
   <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterlogsshowfilepage.pt	(revision 7465)
@@ -1,6 +1,2 @@
-<h2>
-  Logfile <span tal:replace="view/filename">file.csv</span>
-</h2>
-
 <form method="POST">
   <input class="btn primary" type="submit" name="back" value="Back" />
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/datacenterpage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2>Data Center</h2>
-
 <p>
 The data center helps you to manage portal data. You can upload CSV
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7464)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/userscontainerpage.pt	(revision 7465)
@@ -1,4 +1,2 @@
-<h2>Portal Users</h2>
-
 <table>
   <thead>